aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xnet/im/silc-client/silc-client.SlackBuild (renamed from net/im/silc/silc-client.SlackBuild)0
-rwxr-xr-xnet/im/silc-client/silc-client.build (renamed from net/im/silc/silc-client.build)0
-rw-r--r--net/im/silc-client/silc-client.slack-required (renamed from net/im/silc/silc-client.slack-required)0
-rwxr-xr-xnet/im/silc-plugin/silc-plugin.SlackBuild54
-rwxr-xr-xnet/im/silc-plugin/silc-plugin.build133
-rw-r--r--net/im/silc-plugin/slack-required1
-rwxr-xr-xnet/im/silc-server/silc-server.SlackBuild (renamed from net/im/silc/silc-server.SlackBuild)2
-rw-r--r--net/im/silc-server/slack-required1
-rwxr-xr-xnet/im/silc-toolkit/silc-toolkit.SlackBuild (renamed from net/im/silc/silc-toolkit.SlackBuild)0
-rw-r--r--net/im/silc-toolkit/silc-toolkit.slack-required (renamed from net/im/silc/silc-toolkit.slack-required)0
10 files changed, 190 insertions, 1 deletions
diff --git a/net/im/silc/silc-client.SlackBuild b/net/im/silc-client/silc-client.SlackBuild
index 06ecdfcf..06ecdfcf 100755
--- a/net/im/silc/silc-client.SlackBuild
+++ b/net/im/silc-client/silc-client.SlackBuild
diff --git a/net/im/silc/silc-client.build b/net/im/silc-client/silc-client.build
index c7a20a33..c7a20a33 100755
--- a/net/im/silc/silc-client.build
+++ b/net/im/silc-client/silc-client.build
diff --git a/net/im/silc/silc-client.slack-required b/net/im/silc-client/silc-client.slack-required
index 3a932587..3a932587 100644
--- a/net/im/silc/silc-client.slack-required
+++ b/net/im/silc-client/silc-client.slack-required
diff --git a/net/im/silc-plugin/silc-plugin.SlackBuild b/net/im/silc-plugin/silc-plugin.SlackBuild
new file mode 100755
index 00000000..9b037db6
--- /dev/null
+++ b/net/im/silc-plugin/silc-plugin.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/bash
+#
+# silc-plugin.SlackBuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# silc-plugin.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# SlackBuild script to call silc-plugin.build with correct settings
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building silc-plugin are:
+ cat silc-plugin.slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="silc-plugin"
+VERSION=${VERSION:=1.1-beta5}
+ARCH="${ARCH:=i486}"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+rm -rf $TMP/$PACKAGE
+mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE
+
+slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP/$PACKAGE
+fi
diff --git a/net/im/silc-plugin/silc-plugin.build b/net/im/silc-plugin/silc-plugin.build
new file mode 100755
index 00000000..06efe347
--- /dev/null
+++ b/net/im/silc-plugin/silc-plugin.build
@@ -0,0 +1,133 @@
+#!/bin/bash
+#
+# silc-plugin.build is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# silc-plugin.build is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# build script for silc-plugin
+# by rhatto at riseup.net
+# build it with slacktrack, example:
+#
+# ARCH=x86_64 slacktrack -jefkzp "silc-plugin-1.0.3-x86_64-1rha.tgz" "./silc-plugin.build"
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building silc-plugin are:
+ cat client.slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="silc-plugin"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=1.1-beta5}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="silc-client-$VERSION.tar.$PACKAGE_EXT"
+URL="http://silcnet.org/download/client/sources/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC
+cd $silc-client-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --with-docdir=/usr/doc/$PACKAGE-$VERSION \
+ --enable-silc-plugin --without-silc-includes
+make || exit 32
+make install
+
+CWD="`pwd`"
+
+#strip --strip-unneeded /usr/bin/silc
+
+mkdir /install
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+silc-plugin: silc-plugin
+silc-plugin:
+silc-plugin: SILC (Secure Internet Live Conferencing) plugin for Irssi.
+silc-plugin:
+silc-plugin:
+silc-plugin:
+silc-plugin:
+silc-plugin:
+silc-plugin:
+silc-plugin:
+silc-plugin:
+EOF
+
+mkdir -p /usr/doc/$PACKAGE-$VERSION
+
+DOCS="CHANGES COPYING CREDITS README README.PLUGIN TODO"
+
+for file in $DOCS; do
+ cp $CWD/$file* /usr/doc/$PACKAGE-$VERSION/
+done
+
+# TODO: one should check in the source how to make that stop to being copied to the root folder
+rm /draft-riikonen*
+rm /COPYING /CHANGES /CREDITS /README /INSTALL /TODO
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/net/im/silc-plugin/slack-required b/net/im/silc-plugin/slack-required
new file mode 100644
index 00000000..3a932587
--- /dev/null
+++ b/net/im/silc-plugin/slack-required
@@ -0,0 +1 @@
+silc-toolkit
diff --git a/net/im/silc/silc-server.SlackBuild b/net/im/silc-server/silc-server.SlackBuild
index 282d5680..2ea5ea7b 100755
--- a/net/im/silc/silc-server.SlackBuild
+++ b/net/im/silc-server/silc-server.SlackBuild
@@ -16,7 +16,7 @@
# by rhatto at riseup.net
#
-if [ -s "server.slack-required" ]; then
+if [ -s "slack-required" ]; then
echo Recomended and required packages for building silc-server are:
cat server.slack-required | sed -e 's/^/\t/'
if [ "$INTERACT" != "no" ]; then
diff --git a/net/im/silc-server/slack-required b/net/im/silc-server/slack-required
new file mode 100644
index 00000000..3a932587
--- /dev/null
+++ b/net/im/silc-server/slack-required
@@ -0,0 +1 @@
+silc-toolkit
diff --git a/net/im/silc/silc-toolkit.SlackBuild b/net/im/silc-toolkit/silc-toolkit.SlackBuild
index f28eca03..f28eca03 100755
--- a/net/im/silc/silc-toolkit.SlackBuild
+++ b/net/im/silc-toolkit/silc-toolkit.SlackBuild
diff --git a/net/im/silc/silc-toolkit.slack-required b/net/im/silc-toolkit/silc-toolkit.slack-required
index 788f2359..788f2359 100644
--- a/net/im/silc/silc-toolkit.slack-required
+++ b/net/im/silc-toolkit/silc-toolkit.slack-required